# This makefile was generated by gnu_gama_dep version 1.04
# for GNU Gama subproject 'expat' for the gnu platform
#
# ------------------------------------------------------------------
#
#CC        = gcc
ifeq ($(findstring gcc,$(CC)),gcc)
CFLAGS    += -pipe
endif
CFLAGS    += 
#CXX       = g++
ifeq ($(findstring g++,$(CXX)),g++)
CXXFLAGS  += -pipe
endif
CXXFLAGS  += -I../../..
OBJ        = o
LIBR       = @ar -r libgama.a
RANLIB     = ranlib libgama.a
LINK       = $(CXX) #g++
LFLAGS    += -o
LIBS      += -lexpat
MAKE       = make
LIBGAMA    = libgama.a
P_GAMA_L   = gama-local
P_GAMA_G3  = gama-g3
#
# ------------------------------------------------------------------
#

SRC=../../../
OBJDIR=

ALL : ### $(LIBGAMA)

$(OBJDIR)xmltok.$(OBJ) : $(SRC)expat/xmltok/xmltok.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmltok/xmltok.c
	$(LIBR) xmltok.$(OBJ)

$(OBJDIR)xmlrole.$(OBJ) : $(SRC)expat/xmltok/xmlrole.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmltok/xmlrole.c
	$(LIBR) xmlrole.$(OBJ)

$(OBJDIR)codepage.$(OBJ) : $(SRC)expat/xmlwf/codepage.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlwf/codepage.c
	$(LIBR) codepage.$(OBJ)

$(OBJDIR)xmlparse.$(OBJ) : $(SRC)expat/xmlparse/xmlparse.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlparse/xmlparse.c
	$(LIBR) xmlparse.$(OBJ)

$(OBJDIR)hashtable.$(OBJ) : $(SRC)expat/xmlparse/hashtable.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlparse/hashtable.c
	$(LIBR) hashtable.$(OBJ)

$(LIBGAMA) : xmltok.$(OBJ) xmlrole.$(OBJ) codepage.$(OBJ) xmlparse.$(OBJ) hashtable.$(OBJ)
	$(RANLIB)

